Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ c/src/ChangeLog	(revision b0837363631003090e8b9c8ccb61a10055d866f5)
@@ -1,2 +1,13 @@
+2004-02-13	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* librdbg/include/Makefile.am: Merge-in
+	librdbg/include/rdbg/i386/Makefile.am,
+	librdbg/include/rdbg/m68k/Makefile.am, librdbg/include/rdbg/Makefile.am,
+	librdbg/include/rdbg/powerpc/Makefile.am.
+	* librdbg/include/rdbg/i386/Makefile.am,
+	librdbg/include/rdbg/m68k/Makefile.am, librdbg/include/rdbg/Makefile.am,
+	librdbg/include/rdbg/powerpc/Makefile.am: Remove.
+	* configure.ac: Reflect changes above.
+
 2004-02-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/configure.ac
===================================================================
--- c/src/configure.ac	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ c/src/configure.ac	(revision b0837363631003090e8b9c8ccb61a10055d866f5)
@@ -242,8 +242,4 @@
 librdbg/Makefile
 librdbg/include/Makefile
-librdbg/include/rdbg/Makefile
-librdbg/include/rdbg/i386/Makefile
-librdbg/include/rdbg/powerpc/Makefile
-librdbg/include/rdbg/m68k/Makefile
 librdbg/src/Makefile
 librdbg/src/i386/Makefile
Index: c/src/librdbg/include/Makefile.am
===================================================================
--- c/src/librdbg/include/Makefile.am	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ c/src/librdbg/include/Makefile.am	(revision b0837363631003090e8b9c8ccb61a10055d866f5)
@@ -3,6 +3,49 @@
 ##
 
-SUBDIRS = rdbg
+## FIXME: This all is one blatant ugly HACK
+## May-be this should be put into libcpu?
 
-include $(top_srcdir)/automake/subdirs.am
+if HAS_RDBG
+include_rdbgdir = $(includedir)/rdbg
+
+include_rdbg_HEADERS = rdbg/rdbg.h rdbg/servrpc.h
+nodist_include_rdbg_HEADERS = rdbg/@RTEMS_CPU@/rdbg_f.h \
+    rdbg/@RTEMS_CPU@/reg.h
+
+EXTRA_DIST = rdbg/i386/rdbg_f.h rdbg/i386/reg.h
+EXTRA_DIST += rdbg/m68k/rdbg_f.h rdbg/m68k/reg.h
+EXTRA_DIST += rdbg/powerpc/rdbg_f.h rdbg/powerpc/reg.h
+endif
+
+all-local: $(PREINSTALL_FILES)
+
+PREINSTALL_DIRS =
+PREINSTALL_FILES =
+
+if HAS_RDBG
+$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
+	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+
+$(PROJECT_INCLUDE)/rdbg/rdbg.h: rdbg/rdbg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg.h
+
+$(PROJECT_INCLUDE)/rdbg/servrpc.h: rdbg/servrpc.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/servrpc.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/servrpc.h
+
+$(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg/@RTEMS_CPU@/rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
+
+$(PROJECT_INCLUDE)/rdbg/reg.h: rdbg/@RTEMS_CPU@/reg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/reg.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
+endif
+
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES = $(PREINSTALL_DIRS)
+
 include $(top_srcdir)/automake/local.am
Index: src/librdbg/include/rdbg/.cvsignore
===================================================================
--- c/src/librdbg/include/rdbg/.cvsignore	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/librdbg/include/rdbg/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/Makefile.am	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,40 +1,0 @@
-##
-## $Id$
-##
-
-if HAS_RDBG
-include_rdbgdir = $(includedir)/rdbg
-
-include_rdbg_HEADERS = rdbg.h servrpc.h
-endif
-
-all-local: $(PREINSTALL_FILES)
-
-if HAS_RDBG
-SUBDIRS = $(RTEMS_CPU)
-DIST_SUBDIRS = $(RTEMS_CPU)
-endif
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-if HAS_RDBG
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/rdbg.h: rdbg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg.h
-
-$(PROJECT_INCLUDE)/rdbg/servrpc.h: servrpc.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/servrpc.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/servrpc.h
-endif
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/automake/subdirs.am
-include $(top_srcdir)/automake/local.am
Index: src/librdbg/include/rdbg/i386/.cvsignore
===================================================================
--- c/src/librdbg/include/rdbg/i386/.cvsignore	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/librdbg/include/rdbg/i386/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/i386/Makefile.am	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-include_rdbgdir = $(includedir)/rdbg
-
-include_rdbg_HEADERS = rdbg_f.h reg.h
-
-all-local: $(PREINSTALL_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-
-$(PROJECT_INCLUDE)/rdbg/reg.h: reg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/reg.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/automake/local.am
Index: src/librdbg/include/rdbg/m68k/.cvsignore
===================================================================
--- c/src/librdbg/include/rdbg/m68k/.cvsignore	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/librdbg/include/rdbg/m68k/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/m68k/Makefile.am	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-include_rdbgdir = $(includedir)/rdbg
-
-include_rdbg_HEADERS = rdbg_f.h reg.h
-
-all-local: $(PREINSTALL_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-
-$(PROJECT_INCLUDE)/rdbg/reg.h: reg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/reg.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/automake/local.am
Index: src/librdbg/include/rdbg/powerpc/.cvsignore
===================================================================
--- c/src/librdbg/include/rdbg/powerpc/.cvsignore	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/librdbg/include/rdbg/powerpc/Makefile.am
===================================================================
--- c/src/librdbg/include/rdbg/powerpc/Makefile.am	(revision cd7675b5e7482dadf19be7a4c8f574f36da9c199)
+++ 	(revision )
@@ -1,30 +1,0 @@
-##
-## $Id$
-##
-
-include_rdbgdir = $(includedir)/rdbg
-
-include_rdbg_HEADERS = rdbg_f.h reg.h
-
-all-local: $(PREINSTALL_FILES)
-
-PREINSTALL_DIRS =
-PREINSTALL_FILES =
-
-$(PROJECT_INCLUDE)/rdbg/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_INCLUDE)/rdbg
-	@: > $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-
-$(PROJECT_INCLUDE)/rdbg/rdbg_f.h: rdbg_f.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/rdbg_f.h
-
-$(PROJECT_INCLUDE)/rdbg/reg.h: reg.h $(PROJECT_INCLUDE)/rdbg/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rdbg/reg.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg/reg.h
-
-CLEANFILES = $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
-
-include $(top_srcdir)/automake/local.am
